import SwiftUI

struct AdView: View {
    var adSlot: GADSlot
    
    var body: some View {
        ZStack {
            ColorName.background.color(variation: .tertiary)
            
            HStack {
                Spacer()
                
                GADViewWrapper(adSlot: adSlot)
                    .frame(width: adSlot.size.legacy.size.width, height: adSlot.size.legacy.size.height)
                    .padding(.vertical)
                
                Spacer()
            }
        }
    }
}

struct AdView_Previews: PreviewProvider {
    static var previews: some View {
        VStack {
        }
    }
}
